Check in a guest
curl --request POST \
--url https://{workspace}.attendu.com/api/v1/guests/{_id}/check-in \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"eventId": "<string>",
"incrementBy": 1,
"zoneId": "<string>"
}
'import requests
url = "https://{workspace}.attendu.com/api/v1/guests/{_id}/check-in"
payload = {
"eventId": "<string>",
"incrementBy": 1,
"zoneId": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({eventId: '<string>', incrementBy: 1, zoneId: '<string>'})
};
fetch('https://{workspace}.attendu.com/api/v1/guests/{_id}/check-in', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "<string>",
"event": "<string>",
"status": {
"confirmation": 2,
"attendance": 1,
"declineMessage": null,
"givenConsents": [],
"visitedZones": [],
"addMethod": "publicRegistration",
"checkInMethod": "qrScan"
},
"properties": {
"firstName": "John",
"lastName": "Doe",
"email": "john@example.com",
"lang": "en",
"X62TkjiV": "My custom note",
"yN9hzaCj": "1QLXYBlw",
"Ybb48GO7": [
"7bR7m2au",
"BdwYyYmi"
],
"ticketType": "QF78tnh3"
},
"confirmedAt": "2023-11-07T05:31:56Z",
"attendedAt": "2023-11-07T05:31:56Z",
"starred": false,
"extras": {
"roommates": [
"507f1f77bcf86cd799439011",
"507f191e810c19729de860ea"
],
"payment": {
"isPaid": true,
"paidAt": "2023-04-15T14:30:00Z",
"stripePaymentIntent": "pi_3RJut1234567890",
"stripeInvoice": "in_1RJutEIz1234567890",
"usedPromoCodes": [
{
"id": "43oMGCex",
"amount": 100,
"code": "U2QWC8"
}
]
}
}
}{
"error": 400,
"message": "incrementBy is required"
}{
"error": 401,
"message": "Invalid API key."
}{
"error": 404,
"message": "Resource not found."
}Guests
Check in a guest
Records guest attendance by checking them in to the event or specific zone.
POST
/
v1
/
guests
/
{_id}
/
check-in
Check in a guest
Authorizations
Path Parameters
Guest ID to check in.
Body
application/json
Response
Guest checked in successfully.
Guest ID
Event ID
Guest status information including confirmation, attendance, consents and check-in details
Show child attributes
Show child attributes
Example:
{
"confirmation": 2,
"attendance": 1,
"declineMessage": null,
"givenConsents": [],
"visitedZones": [],
"addMethod": "publicRegistration",
"checkInMethod": "qrScan"
}
Guest properties including default required fields and any custom properties defined for the event
Show child attributes
Show child attributes
Example:
{
"firstName": "John",
"lastName": "Doe",
"email": "john@example.com",
"lang": "en",
"X62TkjiV": "My custom note",
"yN9hzaCj": "1QLXYBlw",
"Ybb48GO7": ["7bR7m2au", "BdwYyYmi"],
"ticketType": "QF78tnh3"
}
Date and time when the guest was confirmed
Date and time when the guest attended the event
Indicates if the guest is starred
Optional additional guest data
Show child attributes
Show child attributes
Example:
{
"roommates": [
"507f1f77bcf86cd799439011",
"507f191e810c19729de860ea"
],
"payment": {
"isPaid": true,
"paidAt": "2023-04-15T14:30:00Z",
"stripePaymentIntent": "pi_3RJut1234567890",
"stripeInvoice": "in_1RJutEIz1234567890",
"usedPromoCodes": [
{
"id": "43oMGCex",
"amount": 100,
"code": "U2QWC8"
}
]
}
}
⌘I